[erlang-questions] problems building r11b-3

Kostis Sagonas <>
Wed Dec 10 14:59:06 CET 2008


Ulf Wiger wrote:
> Does anyone know why r11b-3 and r11b-5 fail to build on
> a fresh Ubuntu 8.10, whereas r12b-5 builds just fine?

Most probably, the answer is: because, like Ubuntu 8.10, R12B-5 is more 
recent. So, it has been modified to include the proper ifdefs for glibc.

Check what the values of __GLIBC__ and __GLIBC_MINOR__ are and modify 
file: erts/emulator/hipe/hipe_x86_signal.c appropriately.

Kostis



More information about the erlang-questions mailing list